#!/usr/bin/env python3

import logging
from datetime import timedelta
import re

from tentacles.globals import ctx
from .util import requires_auth

from flask import (
    Blueprint,
    current_app,
    request,
    redirect,
    render_template,
    flash,
)

from .util import salt, is_logged_in

log = logging.getLogger(__name__)
BLUEPRINT = Blueprint("files", __name__)


@requires_auth
@BLUEPRINT.route("/files", methods=["GET", "POST"])
def files():
    if request.method == "POST":
        flash("Not supported yet", category="warning")

    return render_template("files.html.j2")
