#!/usr/bin/env python3

import logging
from datetime import timedelta
import re

from tentacles.globals import ctx
from .util import requires_auth

from flask import (
    Blueprint,
    current_app,
    request,
    redirect,
    render_template,
    flash,
)

from .util import salt, is_logged_in

log = logging.getLogger(__name__)
BLUEPRINT = Blueprint("jobs", __name__)


@requires_auth
@BLUEPRINT.route("/jobs", methods=["GET", "POST"])
def jobs():
    if request.method == "POST":
        ctx.db.create_job(ctx.uid, int(request.form.get("file_id")))
        flash("Job created!", category="info")

    return redirect("/")
